module Vamp
  module Art

    def self.remove_ansi(text)
      text.gsub(/[\[\d;]+m/, '')
    end

    # ascii art by the queen of ascii art: Joan Stark (jgs)
    # https://en.wikipedia.org/wiki/Joan_Stark
    VAMPIRE = <<-'END'
        =/\                 /\=
        / \'._   (\_/)   _.'/ \
       / .''._'--(o.o)--'_.''. \
      /.' _/ |`'=/ " \='`| \_ `.\
     /` .' `\;-,'\___/',-;/` '. '\
    /.-' jgs   `\(-V-)/`       `-.\
    `            "   "            `
    END
    HOBGOBLIN_COLOR = <<-'END'
[1;33;48m            ,     _.._     ,
           (`._."`    `"._.')
            '._          _.'               /\
             | /`-.  .-'\ | __           .'.'
             |(_[1;32;48m()[1;33;48m_\/_[1;32;48m()[1;33;48m_)|'  `\        ( (
             ;   ,____,   ;     \        ) )
              \  /[1;37;48mVvvV[1;33;48m\  /    \  \.__   / /
             /`'._`""`_.'      \  \  `\/ /
            /  .  `--'          \  \    /
           /  / `-,       _.----'   \  ;
          /  /     )     /  .--------` \
         /  /.----'     /  /   ___.     \
        /  /|   _    _,|  (---'   \     |
       /  / |   \`""`  \\\\        \    |
      / /`  |    |      \\\`        \   \
     / /    [1;34;48m;[1;33;48m    [1;34;48m|[1;33;48m                  /   /
    / / [1;34;48m_[1;33;48m    [1;34;48m\[1;33;48m  [1;34;48m/[1;33;48m                 [1;34;48m/`[1;33;48m  [1;34;48m/`[1;33;48m
   / _\[1;34;48m/([1;33;48m    [1;34;48m|[1;33;48m [1;34;48m|[1;33;48m                 [1;34;48m/[1;33;48m  [1;34;48m.'_[1;33;48m
  | ( \  [1;34;48m'--'[1;33;48m  [1;34;48m\[1;33;48m               [1;34;48m.'[1;33;48m  [1;34;48m(__)`\[1;33;48m
  \\\\  [1;34;48m`-------'[1;33;48m         [1;30;48mjgs[1;33;48m [1;34;48m/________.'[1;33;48m
   `\\\
[0m
    END
    HOBGOBLIN = remove_ansi(HOBGOBLIN_COLOR)
    SHARK_COLOR = <<-'END'
[1;36;48m     [1;32;48mo[0;37;48m
[1;36;48m                              ___..                       ,[0;37;48m
[1;36;48m                      __..--''__ (                      .';[0;37;48m
[1;36;48m  [1;32;48mo[1;36;48m      __.-------.-'            `--..__             .'  ;[0;37;48m
[1;36;48m    _.--'   [1;35;48m0[1;36;48m)         .--._             ``--...____.'   .'[0;37;48m
[1;36;48m   (     _.      )).   .__.-''                          <[0;37;48m
[1;36;48m    ```[0;37;48m``[1;36;48m---....._____.....-   -..___       _____...--'-.'.[0;37;48m
[1;36;48m  [1;30;48mjgs[1;36;48m                   `-.___.'     ```````             `.;[0;37;48m
[0m
    END
    SHARK = remove_ansi(SHARK_COLOR)
    DRAGON_COLOR = <<-'END'
[0;37;48m [1;32;48m                    ___    ___[0;37;48m
[1;32;48m               ,_;-'-._\__/_.-'[0;37;48m
[1;32;48m             ,_\       [1;31;48ma[1;32;48m\/[1;31;48ma[0;37;48m
[1;32;48m           ,_\      ,-(  _'-._
         ,_\       ([0;37;48m==[1;32;48m/\ |'-._\[0;37;48m
[1;32;48m       ,_\   -.  /\ \/ | |\   `[0;37;48m
[1;32;48m     ,_\       \/[0;37;48m==[1;32;48m\ '._\7 '._
 [0;32;48mjgs[1;32;48m '.  '._    \[0;37;48m=[1;32;48m/\'-}}} '-}}}[0;37;48m
[1;32;48m      /    />   /`  )
 |\_.'   .'(   <_  <_
 \____.-'   '--}}}-}}}[0;37;48m
[0m
    END
    DRAGON = remove_ansi(DRAGON_COLOR)

    # ascii art by Daniel Au (dcau)
    # http://www.oocities.org/SoHo/7373/dcau.htm
    SKULL_COLOR = <<-'END'
[1;31;48m             _,.-------.,_
         ,;~'             '~;,
       ,;                     ;,
      ;                         ;
     ,'                         ',
    ,;                           ;,
    ; ;      .           .      ; ;
    | ;   ______       ______   ; |
    |  `/~"     ~" . "~     "~\'  |
    |  ~  ,-~~~^~, | ,~^~~~-,  ~  |
     |   |        }:{        |   |
     |   l       / | \       !   |
     .~  (__,.--" .^. "--.,__)  ~.
     |     ---;' / | \ `;---     |
      \__.       \/^\/       .__/
       V| \                 / |V
        | |T~\___!___!___/~T| |
        | |`[1;37;48mIIII_I_I_I_IIII'[1;31;48m| |
        |  \,[1;37;48mIII I I I III[1;31;48m,/  |
         \   `~~~~~~~~~~'    /
           \   .       .   /     [1;30;48m-dcau[1;31;48m
             \.    ^    ./
               ^~~~^~~~^
[0m
    END
    SKULL = remove_ansi(SKULL_COLOR)

    # acii art by Andreas Freise (a:f)
    # http://www.ascii-art.de/
    LIZARD_COLOR = <<-'END'
[0;37;48m                                           [1;32;48m)/_[0;37;48m
                                 [1;32;48m_.--..---"-,--[1;34;48mc[1;32;48m_[0;37;48m
                            [1;32;48m\L..'[0;37;48m           [1;32;48m._[1;34;48mO[1;32;48m__)[1;31;48m_[0;37;48m
                    [1;32;48m,-.[0;37;48m     [1;32;48m_.+[0;37;48m  [1;32;48m_[0;37;48m  [1;32;48m\..--( /[0;37;48m           [0;35;48ma:f[0;37;48m
                      [1;32;48m`\.-''__.-'[0;37;48m [1;32;48m\ ([0;37;48m     [1;32;48m\_[0;37;48m
                        [1;32;48m`'''[0;37;48m       [1;32;48m`\__[0;37;48m   [1;32;48m/\[0;37;48m
                                    [1;32;48m')[0;37;48m
[0m
    END
    LIZARD = remove_ansi(LIZARD_COLOR)

    # ascii art by Nico Okha (mOm)
    RUNNING = <<-'END'
         _
       _( }
      /_  )
      / "/
     / -;\
 ;--' ´  /'
        <_
    END
    DECLARING = <<-'END'
        ,
     (}_/
    /,;
  "^/ \
    \|/
    //
    ""`
    END

    DECLARING2 = <<-'END'
 !
 ||
 !|
 | \      _
 | \    /~ ~\
  \ \_ /<- ->\
   \  \_\.O.|\\
    \   '  /__"
    |         \
    \ '   .  \ \
    \        /) >
     \  ,    | /
     | \__/   <
     >  /o   |)
     /  T    /
     /  |   /
     /  | . /
     \/  \/ \
      \  \   \
       \  \  \
        \  > \
       /^ / ^\
      ^^^~ ~~~mOm
    END
    GREEK = <<-'END'
                       ___
                      /.  `\
                     / , ` |
                     /^\__/'
                _,--~,  /_
              /'  ~~~ -__ ~-,
             ,/  ,       _   \
            / |`-_  _ '_/%\  `\
           /  |_,    ~~ __/`\  \
    ,--~~"'  / \      `--/   |, >
   //^|~~---'  ;  ,     ,    |  '
             ,'`      , (    | /
           ,'   `;;;,'   \  ,' |
          /      77);     `./||`
         /      ,"^  \,     ,
        /      /       \     ,
        (    ,'         \    |
        \    `.          \_-  \
         \     ;           \   `,
          `    '            \   |
            \  `             \  `
             |  )             `, `.
            /   '             ,'  )
           mooO'             Ooom'     mOm

    END
  end
end
